<ion-header>
  <ion-toolbar class="header" [color]="!isSearchInput ? 'primary' : 'primary-contrast'">
    <ion-buttons slot="start">
      <ion-menu-toggle>
        <ion-icon [ngClass]="{'color-grey': isSearchInput}" class="ic-menu" name="menu"></ion-icon>
      </ion-menu-toggle>
    </ion-buttons>
    <ion-title *ngIf="!isSearchInput">Ebook</ion-title>
    <ion-input #search debounce="1000" (ionChange)="searchEbook($event)" *ngIf="isSearchInput"
      placeholder="Pencarian..."></ion-input>
    <ion-icon (click)="toggleSearch()" slot="end" name="search" class="icon ion-padding-end"></ion-icon>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-list *ngFor="let list of ebookList" class="ion-padding-start ion-padding-end"
    (click)="gotoDetail(list?.ebookID)">
    <ion-item class="item-no-padding">
      <div>
        <h5 style="color:var(--ion-color-secondary)">{{list?.ebookTitle}}</h5>
        <p style="margin-top: -5px;">{{list?.categoryTitle}}</p>
      </div>
    </ion-item>
  </ion-list>

  <div *ngIf="ebookList?.length == 0">
    <div class="img-not-found ion-padding ion-text-center">
      <div><img src="../../../assets/img/book-not-found.png"></div>
      <div>
        <h5>Tidak ada yang ditampilkan</h5>
      </div>
    </div>
  </div>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="doInfinite($event,formData.page)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>